GBPLOT(1)

NAME
gbplot - gnuplot command line interface

SYNOPSIS
gbplot [options] [command] [specstring] < datafile

DESCRIPTION
This command produce simple plots from the command line using the 'gnuplot' program. 'comand' is one of the gnuplot commands: 'plot' or 'splot' while 'specstring' is a list of gnuplot specifications. In order to escape shell interpretation place 'specstring' between double quotes. It is possible to specify the type of terminal and output file name as command line options. It is also possible to start an interactive session, useful to adjust plot parameters by hand. The program can be used in a shell pipe, as in

cat datafile | gbplot [options] [command] [specstring]

OPTIONS

-h print this help

-i start interactive session after the plot

-T set a different terminal

-o set an ouptut file

-t assign a title to the plot

-p prepend expression to plot command

-l set log; possible values x,y and xy

-C command to be run before the plot

-v verbose output: print commands to standard error

--help
    same as '-h'

--version print the program version

EXAMPLES
Two plots: one using line and one using points.

    echo "1\n2\n3" | gbplot plot "u 0:1 w l title 'line', '' u 0:1 w p title 'point'"

Save the plot in PDF format in a file named 'test.pdf'

    echo "1\n2\n3" | gbplot -T pdf -o test.pdf plot "u 0:1 w l title 'line'"

Set log on the y axis

    echo "1\n2\n3" | gbplot -l y plot "u 0:1 w l title 'line', '' u 0:1 w p title 'point'"

Set log on the x axis and a grid

    echo "1\n2\n3" | gbplot -l x -C "set grid" plot "u 0:1 w l title 'line', '' u 0:1 w p title 'point'"

Set a grid and the position of the legend

    echo "1\n2\n3" | gbplot -C "set grid" -C "set key bottom right" plot "u 0:1 w l title 'line', '' u 0:1 w p title 'point'"

Compute the value of the gamma function on a set of points; gawk is used to filer the relevant numbers

    echo "1\n2\n3" | gbplot -C "set table" plot 'u (gamma($1))' | gawk '/ i/{print $2}'

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>
Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2009-2014 Giulio Bottazzi

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.